=== debian/changelog ===
ros-one-bio-ik (1.0.0-117noble.20251023.1601) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Philipp Sebastian Ruppel <0ruppel@informatik.uni-hamburg.de>  Thu, 23 Oct 2025 16:01:43 +0000

ros-one-bio-ik (1.0.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Philipp Sebastian Ruppel <0ruppel@informatik.uni-hamburg.de>  Thu, 23 Oct 2025 16:01:43 -0000
