=== debian/control ===
Source: ros-one-bio-ik
Section: misc
Priority: optional
Maintainer: Philipp Sebastian Ruppel <0ruppel@informatik.uni-hamburg.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-catkin, ros-one-eigen-conversions, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-pluginlib, ros-one-roscpp, ros-one-tf-conversions, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-kdl
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-bio-ik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-eigen-conversions, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-pluginlib, ros-one-roscpp, ros-one-tf-conversions, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-kdl
Description: BioIK for ROS
